Bug 207166 - [NEW PORT] net/ipxe: Open source network boot firmware
Summary: [NEW PORT] net/ipxe: Open source network boot firmware
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-13 19:07 UTC by Tobias Kortkamp
Modified: 2016-03-01 20:36 UTC (History)
1 user (show)

See Also:


Attachments
ipxe.shar (4.05 KB, text/plain)
2016-02-13 19:07 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (78.33 KB, text/x-log)
2016-02-13 19:08 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 9.3/amd64 (77.87 KB, text/x-log)
2016-02-13 19:08 UTC, Tobias Kortkamp
no flags Details
ipxe.shar (4.34 KB, text/plain)
2016-02-13 20:51 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 9.3/amd64 (78.43 KB, text/x-log)
2016-02-13 20:51 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (78.89 KB, text/x-log)
2016-02-13 20:52 UTC, Tobias Kortkamp
no flags Details
ipxe.shar (6.98 KB, text/plain)
2016-02-14 02:50 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (79.98 KB, text/x-log)
2016-02-14 02:51 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 9.3/amd64 (79.52 KB, text/x-log)
2016-02-14 02:52 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-02-13 19:07:17 UTC
Created attachment 166948 [details]
ipxe.shar

iPXE is the leading open source network boot firmware.  It provides a
full PXE implementation enhanced with additional features such as:
* boot from a web server via HTTP
* boot from an iSCSI SAN
* boot from a Fibre Channel SAN via FCoE
* boot from an AoE SAN
* boot from a wireless network
* boot from a wide-area network
* boot from an Infiniband network
* control the boot process with a script

WWW: http://ipxe.org
Comment 1 Tobias Kortkamp freebsd_committer 2016-02-13 19:08:25 UTC
Created attachment 166949 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 2 Tobias Kortkamp freebsd_committer 2016-02-13 19:08:42 UTC
Created attachment 166950 [details]
Poudriere testport log FreeBSD 9.3/amd64
Comment 3 Tobias Kortkamp freebsd_committer 2016-02-13 20:51:22 UTC
Created attachment 166953 [details]
ipxe.shar

Update port to install an image for chainloading from PXE and a Linux kernel compatible image.
Comment 4 Tobias Kortkamp freebsd_committer 2016-02-13 20:51:56 UTC
Created attachment 166954 [details]
Poudriere testport log FreeBSD 9.3/amd64
Comment 5 Tobias Kortkamp freebsd_committer 2016-02-13 20:52:20 UTC
Created attachment 166955 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 6 Tobias Kortkamp freebsd_committer 2016-02-14 02:50:39 UTC
Created attachment 166964 [details]
ipxe.shar

Update port:
- Enable IPv6, HTTPS, and NFS
- Add flags for embedding a start script and certificates
Comment 7 Tobias Kortkamp freebsd_committer 2016-02-14 02:51:22 UTC
Created attachment 166965 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 8 Tobias Kortkamp freebsd_committer 2016-02-14 02:52:55 UTC
Created attachment 166966 [details]
Poudriere testport log FreeBSD 9.3/amd64
Comment 9 Kurt Jaeger freebsd_committer 2016-03-01 20:33:19 UTC
Testbuilds are fine.
Comment 10 commit-hook freebsd_committer 2016-03-01 20:35:42 UTC
A commit references this bug:

Author: pi
Date: Tue Mar  1 20:34:42 UTC 2016
New revision: 409900
URL: https://svnweb.freebsd.org/changeset/ports/409900

Log:
  New port: net/ipxe

  iPXE is the leading open source network boot firmware.  It provides a
  full PXE implementation enhanced with additional features such as:
  * boot from a web server via HTTP
  * boot from an iSCSI SAN
  * boot from a Fibre Channel SAN via FCoE
  * boot from an AoE SAN
  * boot from a wireless network
  * boot from a wide-area network
  * boot from an Infiniband network
  * control the boot process with a script

  WWW: http://ipxe.org

  PR:		207166
  Submitted by:	Tobias Kortkamp <t@tobik.me>

Changes:
  head/net/Makefile
  head/net/ipxe/
  head/net/ipxe/Makefile
  head/net/ipxe/distinfo
  head/net/ipxe/files/
  head/net/ipxe/files/patch-config_general.h
  head/net/ipxe/files/pkg-message.in
  head/net/ipxe/ipxestart.example
  head/net/ipxe/pkg-descr
Comment 11 Kurt Jaeger freebsd_committer 2016-03-01 20:36:18 UTC
Committed, thanks!